microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Parámetros de la ruta de acceso
name
string
requerido
The name of the resource
version
string
requerido
The specific version id of the DatasetVersion to operate on.
Respuestas
The request has succeeded.
Cuerpo
Content-Type: application/json
blobReference
BlobReference
requerido
Blob reference details.
blobUri
string
requerido
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
requerido
ARM ID of the storage account to use.
credential
SasCredential
requerido
SAS Credential definition
sasUri
string
requerido
SAS uri
type
enum
requerido
Type of credential
SAS
Solicitar
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json